/*	mazegen.h   */

#ifndef	ANTHONY_MAZEGEN_H
#define	ANTHONY_MAZEGEN_H

// my library includes
#include	"simple_block.h"
#include	"maze_type.h"

using	namespace	std;
using	namespace	anthony_sblock;
using	namespace	anthony_maze;

typedef	simple_block::coord	coord;
//typedef	simple_block::block_t	block_t;
const		simple_block::block_t	kMEmpty		= simple_block::clear;
const		simple_block::block_t	kMWall		= simple_block::wall;
const		simple_block::block_t	kMStart		= simple_block::start;
const		simple_block::block_t	kMExit		= simple_block::exit;
const		simple_block::block_t	kMGold		= simple_block::gold;


// function prototypes

maze_type<simple_block>* MakeOneMaze();
maze_type<simple_block>* GenerateMaze( int rows, int columns );
void	read_maze( maze_type<simple_block>& theMaze );

#endif
