/*	simple_block.cpp	*/

#include	"simple_block.h"

namespace	anthony_sblock	{

using	simple_block::direction_t;
using	simple_block::north;
using	simple_block::east;
using	simple_block::south;
using	simple_block::west;

simple_block::direction_t& operator++( simple_block::direction_t& which_way )			// prefix ++ operator
{
	switch (which_way)	{
		case	north:
			which_way = east;
			break;
		case	east:
			which_way = south;
			break;
		case	south:
			which_way = west;
			break;
		case	west:
			which_way = north;
			break;
		default:
			break;
	}
	
	return which_way;											// return new value
}

simple_block::direction_t operator++( simple_block::direction_t& which_way, int )		// postfix ++ operator
{
	simple_block::direction_t old = which_way;					// save original value
	
	switch (which_way)	{
		case	north:
			which_way = east;
			break;
		case	east:
			which_way = south;
			break;
		case	south:
			which_way = west;
			break;
		case	west:
			which_way = north;
			break;
		default:
			break;
	}
	
	return old;													// return original value
}
			



}	// closure of namespace