/*	lr2.h

	Constants and other definitions for Lode Runner 2 programs.
	
	Anthony Kozar
	December 17, 2000
	
	June 17, 2003 - began working on LR2 level creators again.
	              - changed char to int8 for data (want to migrate to int16 eventually).
	              - added multiple-definition guards.
 */

#ifndef	ANTHONY_LR2_H
#define	ANTHONY_LR2_H

/*class	int16	{
	typedef	unsigned int	uint;
	public:
		int16();
		int16(uint value);
		~int16();
		
		int16	operator=(int16 value)		{ }
		int16	operator+(int16 addend)		{ }
		int16	operator-(int16 subtrahend)	{ }
		int16	operator*(int16 multiplier)	{ }
		int16	operator/(int16 divisor)	{ }
		
		operator<<(ostream &sout)	{ }
		operator>>(istream &sin)	{ }
		
	private:
		uint	theValue;
		uint	overflow(uint value)	{ return (value%65536); }
};
*/
class	block_t {

};


/*	DATA    */

namespace	lr2	{

	typedef	/*unsigned*/ char	int8;

	// header data
	int8	header[36]	= { 216,126,27,23,0,151,0,50,0,131,0,50,0,151,0,70,
				0,200,0,5,0,0,42,248,0,0,0,0,0,0,0,0,0,0 };

	// monk data
	int8	monk_header[4] = { 0,0,0,5 }; 					// header - no monks

	// item data

	// simple block data
	int8	block1[8]	= { 0,110,0,1,0,0,28,17 };				// block coordinates are next
	int8	block2[14]	= { 0,1,0,0,0,140,0,0,0,28,25,0,0,0 };		// block type is left off at end
	 
	// exit block data
	int8	exit1[8]	= { 0,112,0,5,0,0,29,20 };				// coordinates come next
	int8	exit2[18]	= { 0,1,0,0,0,143,0,0,0,93,141,0,0,0,46,224,0,7 };
}


#endif
